Bug 847381 - JBPM designer: ConditionType property on a sequence flow not saved
JBPM designer: ConditionType property on a sequence flow not saved
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
x86_64 Linux
unspecified Severity medium
: ER2
: BRMS 5.3.1 GA
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 15:53 EDT by Phil Simpson
Modified: 2013-10-10 20:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, it was possible for users to set a condition type on sequence flows in the Process Designer; however, the condition type was not stored on the process when the process was saved. This has been resolved by removing the ability to set a condition type.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
DefaultFlow ConditionType (21.31 KB, image/png)
2012-08-10 15:53 EDT, Phil Simpson
no flags Details

  None (edit)
Description Phil Simpson 2012-08-10 15:53:38 EDT
Created attachment 603615 [details]
DefaultFlow ConditionType

Description of problem:
If a ConditionType of DefaultFlow is assigned to a sequence flow, it is not saved in the bpmn2, and the ConditionType reverts to Standard the next time the process diagram is opened.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Assign a ConditionType of DefaultFlow to a sequence flow in a bpmn2 diagram (see attached)
2.save & close the diagram
3.reopen the diagram
  
Actual results:
ConditionType is set to standard, and the hash mark across the displayed sequence flow has disappeared

Expected results:
The ConditionType is retained as DefaultFlow

Additional info:
Comment 1 Tihomir Surdilovic 2012-08-30 11:00:55 EDT
Fixed in 2.3.x Designer branch. There is now only one condition type available ("None") which is the only one we use. Users are no longer able to change this property.
Comment 3 Sona Mala 2012-09-19 07:07:30 EDT
The select element for property "Condition Type" have 3 options: Conditional Flow, Default Flow, Standard.

If I choose Default Flow, Save and Close Asset, Open asset again, then Sequence flow loose value of "Condition Type" and is set to Standard.


For BRMS 5.3.1 ER1 and designer 2.3.1-DEV.
Comment 4 Tihomir Surdilovic 2012-09-19 09:51:40 EDT
Nice catch - fixed in 2.3.x branch now, ConditionType property is no longer editable.

thanks!
Comment 5 Sona Mala 2012-10-16 04:20:45 EDT
Verified for BRMS 5.3.1 ER3, designer 2.3.1-DEV

Property "ConditionType" is missing in Properties Bar.

Note You need to log in before you can comment on or make changes to this bug.